---
- name: Install aptitude
  become: true
  apt:
    name: aptitude
    state: latest
    update_cache: yes
    force_apt_get: yes
  tags:
    - packages

- name: Install required system packages
  become: true
  apt:
    name:
      - apt-transport-https
      - ca-certificates
      - curl
      - software-properties-common
      - gnupg2
      - python3-pip
      - virtualenv
      - python3-setuptools
    state: latest
    update_cache: yes
  tags:
    - packages

- name: Add Docker GPG apt key
  become: true
  apt_key:
    url: https://download.docker.com/linux/debian/gpg
    state: present
  tags:
    - docker

- name: Add Docker APT repository
  become: true
  apt_repository:
    repo: deb https://download.docker.com/linux/debian stretch stable
    state: present
  tags:
    - docker

- name: Update and install Docker
  become: true
  apt:
    name: docker-ce
    state: latest
  notify: "start docker daemon"
  tags:
    - docker
    - packages

- name: Install Docker module for python
  pip:
    name: docker
    state: present
  tags:
    - docker
    - packages
